---
agentTools:
  projectIndex: https://klusternetes.readme.io/llms.txt
---

# Install cli

## To Install With Command-line

Download  Klusturnetes-cli by Running the below command.

[block:code]
{
  "codes": [
    {
      "code": "curl -sL https://get.knts.app | TAG=v0.0.25 bash",
      "language": "shell",
      "name": "Linux / Mac",
      "gist": "68c7c3fa9d7182a1d639c388da5caa39"
    },
    {
      "code": "# Install using PowerShell\nwget https://storage.googleapis.com/klusternetes-dev.appspot.com/releases/download/v0.0.25/knts-windows-amd64.exe -OutFile knts.exe\nStart-Process -Wait -FilePath \"knts.exe\" -ArgumentList \"/S\" -PassThru\nSet-Alias -Name knts -Value .\\knts  #This command only works on the present terminal. If you want it to be permeanent place the binary in path folder",
      "language": "powershell",
      "name": "Windows "
    }
  ]
}
[/block]

## To Install manually

### Windows

* Download from [here](https://storage.googleapis.com/klusternetes-dev.appspot.com/releases/download/v0.0.25/knts-windows-amd64.exe)
* Add knts to the path

### Linux/Mac

* Download from [here](https://storage.googleapis.com/klusternetes-dev.appspot.com/releases/download/v0.0.24/knts-linux-amd64)
* Add knts to the path -

```
sudo mv knts-linux-amd64 /usr/local/bin/knts
```

## To Verify Installation

once downloaded the Klusternetes-cli run help command for testing and can get KNTS commands for various functions like create, get and delete clusters

```
knts --help
```

**output :**

```
Usage:   knts 
  Version: 0.1.0

  Description:

    To query / add / delete clusters in KNTS

  Options:

    -h, --help     - Show this help.                            
    -V, --version  - Show the version number for this program.  

  Commands:

    auth    -                                             
    create  - To create a new KNTS cluster                
    delete  - To delete an existing KNTS cluster          
    get     - To get the existing KNTS cluster information
```